Bug 188932 - New Port:games/prboom-plus A fork of the original prboom .
Summary: New Port:games/prboom-plus A fork of the original prboom .
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-24 01:10 UTC by thiagohero501
Modified: 2014-08-24 15:32 UTC (History)
2 users (show)

See Also:


Attachments
file.shar (4.22 KB, text/plain)
2014-04-24 01:10 UTC, thiagohero501
no flags Details
prboom-plus shar file revision-1 (4.50 KB, text/plain)
2014-08-12 17:38 UTC, thiagohero501
no flags Details
prboom-plus patch (344 bytes, patch)
2014-08-24 11:57 UTC, thiagohero501
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description thiagohero501 2014-04-24 01:10:00 UTC
A fork of  PrBoom  with uncapped framerate, variable gamespeed,
re-record, walkcam, chasecam, full mouselook,
fov and other features without loss of compatibility with original DOOM.

Fix: Patch attached with submission follows:
Comment 1 John Marino freebsd_committer 2014-08-07 14:52:51 UTC
Hi, if you are still interested in having this port in FreeBSD, it may (or may not) need to be reworked to support stage, and it may need updating to other newer conventions such as "USES" which is expanding all time.
For staging, see http://lists.freebsd.org/pipermail/freebsd-ports-announce/2014-May/000080.html


Additionally, you need to provide some sort of quality assurance.    
In order of preference, we are looking for:

1) "poudriere testport" or "poudriere bulk -t" logs
2) Redports or tinderbox logs
3) at least this: https://www.freebsd.org/doc/en/books/porters-handbook/porting-testing.html

Please provide an updated shar file and attach a test log.  Alternatively, please indicate if you are no longer interested in having this software in the Ports Collection and that we can close the PR.

Thanks!
Comment 2 thiagohero501 2014-08-12 17:38:23 UTC
Created attachment 145726 [details]
prboom-plus shar file revision-1
Comment 3 John Marino freebsd_committer 2014-08-12 18:28:49 UTC
are test logs / output coming as well?
Comment 4 commit-hook freebsd_committer 2014-08-23 14:04:52 UTC
A commit references this bug:

Author: adamw
Date: Sat Aug 23 14:04:14 UTC 2014
New revision: 365735
URL: http://svnweb.freebsd.org/changeset/ports/365735

Log:
  Add games/prboom-plus, a fork of games/prboom.

  A fork of PrBoom  with uncapped framerate, variable gamespeed, re-record,
  walkcam, chasecam, full mouselook, fov and other features without loss of
  compatibility with original DOOM.

  WWW: http://prboom-plus.sourceforge.net/

  PR:		188932
  Submitted by:	thiagohero501@gmail.com

Changes:
  head/games/Makefile
  head/games/prboom-plus/
  head/games/prboom-plus/Makefile
  head/games/prboom-plus/Makefile.include
  head/games/prboom-plus/distinfo
  head/games/prboom-plus/pkg-descr
  head/games/prboom-plus/pkg-plist
Comment 5 Adam Weinberger freebsd_committer 2014-08-23 14:07:00 UTC
Committed with substantial modifications. Mostly I changed the paths so that things install in more common locations. Either way, your pkg-message.in had "/usr/local" hardcoded into it.

Why is there a Makefile.include here? Are any other ports going to use it? Half the stuff in there isn't even used by this port.
Comment 6 thiagohero501 2014-08-24 11:57:04 UTC
Created attachment 146211 [details]
prboom-plus patch

Removed line CONFLICTS= prboom-[2]* from Makefile.
Comment 7 Adam Weinberger freebsd_committer 2014-08-24 15:32:17 UTC
Done.
Comment 8 commit-hook freebsd_committer 2014-08-24 15:32:55 UTC
A commit references this bug:

Author: adamw
Date: Sun Aug 24 15:32:08 UTC 2014
New revision: 365950
URL: http://svnweb.freebsd.org/changeset/ports/365950

Log:
  Remove CONFLICTS on games/prboom.

  PR:		188932
  Submitted by:	maintainer

Changes:
  head/games/prboom-plus/Makefile